summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Binh Nguyen2010-12-21 17:11:00 +0100
committer Niels Horn2010-12-21 17:11:00 +0100
commit3e2428b92106b6c4e29acbf510923f4a815bc973 (patch)
tree8833ffc76697d1d57dde4b3e918a261c1706a32f
parenta0ccb7182ffe6a02d3f74179f7e70398023cd05f (diff)
downloadslackbuilds-3e2428b92106b6c4e29acbf510923f4a815bc973.tar.gz
libraries/perl-Text-Iconv: Added (Perl interface to the iconv())
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--libraries/perl-Text-Iconv/README2
-rw-r--r--libraries/perl-Text-Iconv/perl-Text-Iconv.SlackBuild89
-rw-r--r--libraries/perl-Text-Iconv/perl-Text-Iconv.info10
-rw-r--r--libraries/perl-Text-Iconv/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/libraries/perl-Text-Iconv/README b/libraries/perl-Text-Iconv/README
new file mode 100644
index 0000000000..f501d24704
--- /dev/null
+++ b/libraries/perl-Text-Iconv/README
@@ -0,0 +1,2 @@
+This module provides a Perl interface to the iconv() codeset
+conversion function. It was written by Michael Piotrowski.
diff --git a/libraries/perl-Text-Iconv/perl-Text-Iconv.SlackBuild b/libraries/perl-Text-Iconv/perl-Text-Iconv.SlackBuild
new file mode 100644
index 0000000000..cf9b22ac3a
--- /dev/null
+++ b/libraries/perl-Text-Iconv/perl-Text-Iconv.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for perl-Text-Iconv
+# Written by Dominik Drobek <dominik.drobek (at) o2.pl>
+
+
+PRGNAM=perl-Text-Iconv
+VERSION=${VERSION:-1.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=$(echo $PRGNAM | cut -f2- -d-)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# fix permissions of man page:
+chmod 644 $PKG/usr/man/man3/*.gz
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changes MANIFEST README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-Text-Iconv/perl-Text-Iconv.info b/libraries/perl-Text-Iconv/perl-Text-Iconv.info
new file mode 100644
index 0000000000..2f21e4002c
--- /dev/null
+++ b/libraries/perl-Text-Iconv/perl-Text-Iconv.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Text-Iconv"
+VERSION="1.7"
+HOMEPAGE="http://search.cpan.org/~mpiotr/Text-Iconv"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/M/MP/MPIOTR/Text-Iconv-1.7.tar.gz"
+MD5SUM="81b26e069eaebb084e91ea3c009b67ae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dominik Drobek"
+EMAIL="dominik.drobek@o2.pl"
+APPROVED="Niels Horn"
diff --git a/libraries/perl-Text-Iconv/slack-desc b/libraries/perl-Text-Iconv/slack-desc
new file mode 100644
index 0000000000..78f8a5fcbc
--- /dev/null
+++ b/libraries/perl-Text-Iconv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Text-Iconv: perl-Text-Iconv (Perl interface to the iconv() function)
+perl-Text-Iconv:
+perl-Text-Iconv: This module provides a Perl interface to the iconv() codeset
+perl-Text-Iconv: conversion function. It was written by Michael Piotrowski.
+perl-Text-Iconv:
+perl-Text-Iconv: Homepage: http://search.cpan.org/~mpiotr/Text-Iconv
+perl-Text-Iconv:
+perl-Text-Iconv:
+perl-Text-Iconv:
+perl-Text-Iconv:
+perl-Text-Iconv: